


%define kipi_major 5
%define libkipi %mklibname kf5kipi %kipi_major
%define libkipi_devel %mklibname kf5kipi -d

Name: libkipi
Summary: Interface to use kipi-plugins for KDE
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkipi
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: ki18n-devel
BuildRequires: kconfig-devel
BuildRequires: kxmlgui-devel
BuildRequires: kservice-devel

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel

Obsoletes: %{_lib}kf5kipi5
Provides: %{_lib}kf5kipi5 = %version-%release

%description
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

#------------------------------------------------------------------------------
%files
%doc README TODO AUTHORS
%_kf5_iconsdir/*/*/*/kipi.*
%_kf5_servicetypes/kipiplugin.desktop
#------------------------------------------------------------------------------
%_kf5_libdir/libKF5Kipi.so.*
#------------------------------------------------------------------------------
/usr/share/qlogging-categories5/kipi.categories


%package -n %{libkipi_devel}
Summary: Devel stuff for %name
Group: Development/Libraries
Provides: %name-devel = %version-%release
Requires: %{name} = %version-%release

%description -n %{libkipi_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkipi_devel}
%_kf5_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake

#------------------------------------------------------------------------------

%prep
%setup -q 

%build

export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

